Bug 92182 - [SKL] ES3-CTS.gtf.GL3Tests.uniform_buffer_object.uniform_buffer_object_max_uniform_block_size takes ages to run
Summary: [SKL] ES3-CTS.gtf.GL3Tests.uniform_buffer_object.uniform_buffer_object_max_un...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium major
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-29 17:37 UTC by Ian Romanick
Modified: 2015-12-07 18:11 UTC (History)
6 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Romanick 2015-09-29 17:37:59 UTC
Other GLES3 conformance tests require about the expected amount of time to run.  This test, however, runs for epic time and eats all the CPU.
Comment 1 Ian Romanick 2015-09-29 17:40:06 UTC
Mark: You may want to blacklist this test on SKL on Jenkins.

Ben / Sarah: Can one of you try to reproduce this on a local SKL and maybe do some initial analysis?
Comment 2 Ian Romanick 2015-09-29 17:42:54 UTC
Also, is it better if bf58a2c362d5afdba512f40b3eb300154201c7f0 is reverted?
Comment 3 Tapani Pälli 2015-09-29 17:58:44 UTC
(In reply to Ian Romanick from comment #2)
> Also, is it better if bf58a2c362d5afdba512f40b3eb300154201c7f0 is reverted?

Yes, I've bisected that this commit makes test run considerably longer. It seems that it's not causing all the slowness though.
Comment 4 Tapani Pälli 2015-11-03 08:00:37 UTC
After upgrading kernel to 4.3 I haven't had this problem, from my POV this issue is fixed.
Comment 5 Tapani Pälli 2015-11-03 10:13:32 UTC
(In reply to Tapani Pälli from comment #4)
> After upgrading kernel to 4.3 I haven't had this problem, from my POV this
> issue is fixed.

Having said that it seems that the conformance runs on our CI system still take way too long time.
Comment 6 Mark Janes 2015-11-03 17:21:54 UTC
The CI is still running an old drm-nightly kernel.  Recent attempts to update the kernel resulted in many regressions.

I'll make a note to try the 4.3 kernel when it is released.
Comment 7 Mark Janes 2015-12-07 18:11:53 UTC
this test currently takes 0.04 seconds on SKL in our CI.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.